const pluginSyntaxDynamicImport = require('babel-plugin-syntax-dynamic-import');
const pluginTransformDecoratorsLegacy = require('babel-plugin-transform-decorators-legacy');
const pluginTransformObjectRestSpread = require('babel-plugin-transform-object-rest-spread');
const pluginTransformClassProperties = require('babel-plugin-transform-class-properties');
const pluginTransformExportExtensions = require('babel-plugin-transform-export-extensions');

exports.buildPreset = function (context, opts = {}) {
  return {
    plugins: [
      pluginSyntaxDynamicImport,
      pluginTransformDecoratorsLegacy,
      [pluginTransformObjectRestSpread, { useBuiltIns: true }],
      pluginTransformClassProperties,
      pluginTransformExportExtensions,
    ],
  };
};
